Subject: [PATCH] ARM: dts: DRA7: Add node for RTC

From: [email-masked] (Sergei Shtylyov)
Date: Tue, 18 Nov 2014 13:55:05 +0300

Hello.

On 11/18/2014 8:01 AM, Lokesh Vutla wrote:

>>>>> Add node for RTC.

>>>>> Signed-off-by: Lokesh Vutla <[email-masked]>
>>>>> [nm at ti.com: update with rtc crossbar number]
>>>>> Signed-off-by: Nishanth Menon <[email-masked]>
>>>>> ---
>>>>>     arch/arm/boot/dts/dra7.dtsi | 9 +++++++++
>>>>>     1 file changed, 9 insertions(+)

>>>>> diff --git a/arch/arm/boot/dts/dra7.dtsi b/arch/arm/boot/dts/dra7.dtsi
>>>>> index 9cc9843..f98f9f0 100644
>>>>> --- a/arch/arm/boot/dts/dra7.dtsi
>>>>> +++ b/arch/arm/boot/dts/dra7.dtsi
>>>>> @@ -1075,6 +1075,15 @@
>>>>>                 status = "disabled";
>>>>>             };
>>>>>
>>>>> +        rtc: rtcss at 48838000 {

>>>>      Please just name the node "rtc at 48838000", in accordance with ePAPR.

>>> Okay. will update it.

>>>>> +            compatible = "ti,am3352-rtc";
>>>>> +            reg = <0x48838000 0x100>;
>>>>> +            interrupts = <GIC_SPI 217 IRQ_TYPE_LEVEL_HIGH>,
>>>>> +                     <GIC_SPI 217 IRQ_TYPE_LEVEL_HIGH>;

>>>>      2 similar interrupts?

>>> both rtc timer and rtc alarm uses same interrupt on DRA7 Soc.
>>> Driver handles it accordingly.
>>> So passing the same interrupt.

>>     I think it would have been better if the driver just handled a single interrupt.

> There are certain SoCs with RTC IP where timer and alarm uses different interrupts.

    I understood.

> Driver has to take care of that scenario also. So it expects two interrupts from dt.

    You could also handle the missing second interrupt. I don't insist though...

> Thanks and regards,
> Lokesh

WBR, Sergei